# Get destination

> One destination and its path configuration, without its secret.

`GET /destinations/{id}`

**Auth:** API key or OAuth token

## Path parameters

- `id` (required, string) — The destination to fetch. Example `"dst_01KE7XWWEQ4MCGWKBQKJ1G47RP"`.

## Response

### 200 — Destination returned

- `data` (required, object)
  - `config` (required, json | null)
  - `createdAt` (required, any)
  - `id` (required, string)
  - `name` (required, string)
  - `provider` (required, json | null)
  - `updatedAt` (required, any)

```json
{
  "data": {
    "config": {},
    "id": "string",
    "name": "string",
    "provider": {}
  }
}
```

## Request samples

### cURL

```bash
curl https://api.mynth.io/destinations/dst_01KE7XWWEQ4MCGWKBQKJ1G47RP \
  -H "Authorization: Bearer $MYNTH_API_KEY"
```

### JavaScript

```ts
const response = await fetch("https://api.mynth.io/destinations/dst_01KE7XWWEQ4MCGWKBQKJ1G47RP", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.MYNTH_API_KEY}`,
  },
});

const { data } = await response.json();
```

The full schema for this endpoint is in the [OpenAPI document](https://api.mynth.io/openapi.json).
